Plesk\backup\Agent\Schema\Backup\SappInstalled\SappInstalledAType:
    properties:
        content:
            expose: true
            access_type: public_method
            serialized_name: content
            xml_element:
                cdata: false
            accessor:
                getter: getContent
                setter: setContent
            type: Plesk\backup\Agent\Schema\Backup\Content
        sappSpec:
            expose: true
            access_type: public_method
            serialized_name: sapp-spec
            xml_element:
                cdata: false
            accessor:
                getter: getSappSpec
                setter: setSappSpec
            type: Plesk\backup\Agent\Schema\Backup\SappSpec
        sappParam:
            expose: true
            access_type: public_method
            serialized_name: sapp-param
            xml_element:
                cdata: false
            accessor:
                getter: getSappParam
                setter: setSappParam
            xml_list:
                inline: true
                entry_name: sapp-param
            type: array<Plesk\backup\Agent\Schema\Backup\SappParam>
        database:
            expose: true
            access_type: public_method
            serialized_name: database
            xml_element:
                cdata: false
            accessor:
                getter: getDatabase
                setter: setDatabase
            xml_list:
                inline: true
                entry_name: database
            type: array<Plesk\backup\Agent\Schema\Backup\Database>
        customButton:
            expose: true
            access_type: public_method
            serialized_name: custom-button
            xml_element:
                cdata: false
            accessor:
                getter: getCustomButton
                setter: setCustomButton
            xml_list:
                inline: true
                entry_name: custom-button
            type: array<Plesk\backup\Agent\Schema\Backup\CustomButton>
        sappInstalldir:
            expose: true
            access_type: public_method
            serialized_name: sapp-installdir
            xml_element:
                cdata: false
            accessor:
                getter: getSappInstalldir
                setter: setSappInstalldir
            type: Plesk\backup\Agent\Schema\Backup\SappInstalldir
        sappEntryPoint:
            expose: true
            access_type: public_method
            serialized_name: sapp-entry-point
            xml_element:
                cdata: false
            accessor:
                getter: getSappEntryPoint
                setter: setSappEntryPoint
            xml_list:
                inline: true
                entry_name: sapp-entry-point
            type: array<Plesk\backup\Agent\Schema\Backup\SappEntryPoint>
        context:
            expose: true
            access_type: public_method
            serialized_name: context
            xml_element:
                cdata: false
            accessor:
                getter: getContext
                setter: setContext
            type: Plesk\backup\Agent\Schema\Backup\SappInstalled\SappInstalledAType\ContextAType
        apsRegistryId:
            expose: true
            access_type: public_method
            serialized_name: aps-registry-id
            xml_element:
                cdata: false
            accessor:
                getter: getApsRegistryId
                setter: setApsRegistryId
            type: string
        sappApsc:
            expose: true
            access_type: public_method
            serialized_name: sapp-apsc
            xml_element:
                cdata: false
            accessor:
                getter: getSappApsc
                setter: setSappApsc
            type: string
        sappLicense:
            expose: true
            access_type: public_method
            serialized_name: sapp-license
            xml_element:
                cdata: false
            accessor:
                getter: getSappLicense
                setter: setSappLicense
            type: Plesk\backup\Agent\Schema\Backup\SappLicense
        sappSettings:
            expose: true
            access_type: public_method
            serialized_name: sapp-settings
            xml_element:
                cdata: false
            accessor:
                getter: getSappSettings
                setter: setSappSettings
            type: array<Plesk\backup\Agent\Schema\Backup\SappSettings\SappSettingsAType\SettingAType>
            xml_list:
                inline: false
                entry_name: setting
                skip_when_empty: true
